# -*- encoding: utf-8 -*-

module MMonitor
  module Strategies
    # http://searchex.yixun.com/html?key=%E6%AC%A7%E8%8E%B1%E9%9B%85&area=1&sort=0&show=0&size=40&pf=1&as=1&charset=utf-8&YTAG=1.100000401#list
    class Yixun < MMonitor::Parser
      # 输出的产品
      def provider
        :yixun
      end

      def css_path
        {
          body:      'div#container > div > div.grid_m.smain > div.grid_m_inner',
          list:      'div.goods > ul#itemList',
          item:      'li.goods_li',
          total:     '#list > div.sort_page > div.sort_page_txt > b',
          pages:     '#list > div.sort_page > div.sort_page_num > span', # .text.split('/')[1]
          spu_id:    'commid',
          title:     'div > div.mod_goods_info > p.mod_goods_tit > a',
          photo_url: 'div > div.mod_goods_img > a > img', # 'data-ks-lazyload'
          price:     'div > div.mod_goods_info > p.mod_goods_price > span.mod_price > span'
        }
      end

      def photo_url # 产品图片
        self.item.at(css_path[:photo_url])['init_src']
      end

      def pages
        self.body.at(css_path[:pages]).text.split('/')[1].to_i
      end

    end
  end
end