# -*- encoding: utf-8 -*-
require 'active_support/core_ext'

module MMonitor
  VERSION = '0.0.2'

  module Strategies # 目前支持的解析规则
    autoload :Amazon, 'mmonitor/strategies/amazon'
    autoload :Jd,     'mmonitor/strategies/jd'
    autoload :Jumei,  'mmonitor/strategies/jumei'
    autoload :Lefeng, 'mmonitor/strategies/lefeng'
    autoload :Suning, 'mmonitor/strategies/suning'
    autoload :Tmall,  'mmonitor/strategies/tmall'
    autoload :Yhd,    'mmonitor/strategies/yhd'
    autoload :Yixun,  'mmonitor/strategies/yixun'
  end
  
  autoload :Crawler, 'mmonitor/crawler'
  autoload :Parser,  'mmonitor/parser'
  autoload :Spider,  'mmonitor/spider'
end