# -*- encoding: utf-8 -*-

module MMonitor
  module Strategies
    # http://www.amazon.cn/s/ref=sr_nr_p_89_0?rh=i%3Aaps%2Ck%3A%E5%B7%B4%E9%BB%8E%E6%AC%A7%E8%8E%B1%E9%9B%85%2Cp_89%3AL%27Oreal+Paris+%E5%B7%B4%E9%BB%8E%E6%AC%A7%E8%8E%B1%E9%9B%85&keywords=%E5%B7%B4%E9%BB%8E%E6%AC%A7%E8%8E%B1%E9%9B%85&ie=UTF8&qid=1397212889&rnid=125596071
    class Amazon < MMonitor::Parser
      # 输出的产品
      def provider
        :amazon
      end

      def css_path
        {
          body:   'div#rightResultsATF',
          list:   ['div#atfResults', 'div#btfResults'],
          item:   'div.prod.celwidget',
          total:  '#resultCount > span',
          pages:  '#pagn > span.pagnDisabled',
          spu_id: 'name',
          title:  'h3.newaps>a',
          photo_url: 'div.image.imageContainer > a > div > img',
          tag_price: 'ul.rsltGridList > li.newp > div > a > del',
          price:     'ul.rsltGridList > li.newp > div > a > span'
        }
      end

    end
  end
end